Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.cxf
Class SOAPTraceRegistry

    java.lang.Object
      kieker.monitoring.probe.cxf.SOAPTraceRegistry

    public final class SOAPTraceRegistry

extends Object

CXF does not provide an "around advice" for SOAP requests. For this reason, we introduced this class wrapping access to some thread-local variables used to pass information between in- and out-interceptors.

Since:
  1.0
Author:
  Andre van Hoorn

Method Summary
`static SOAPTraceRegistry` | `getInstance()` Delivers the one and only instance of this class.
`int` | `recallThreadLocalInRequestEOI()` This method returns the thread-local eoi previously registered using the method registerTraceId(curTraceId).
`int` | `recallThreadLocalInRequestESS()` This method returns the thread-local ess previously registered using the method registerTraceId(curTraceId).
`boolean` | `recallThreadLocalInRequestIsEntryCall()` Returns the value of the ThreadLocal variable threadLocalInRequestIsEntryCall.
`long` | `recallThreadLocalInRequestTin()` This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).
`boolean` | `recallThreadLocalOutRequestIsEntryCall()` Returns the value of the ThreadLocal variable threadLocalOutRequestIsEntryCall.
`long` | `recallThreadLocalOutRequestTin()` This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).
`void` | `storeThreadLocalInRequestEOI(int eoi)` Used to explicitly register an eoi for an incoming SOAP request.
`void` | `storeThreadLocalInRequestESS(int ess)` Used to explicitly register an ess for an incoming SOAP request.
`void` | `storeThreadLocalInRequestIsEntryCall(boolean isEntry)` This method is used to store whether or not an incoming SOAP call was the entry point to the current trace.
`void` | `storeThreadLocalInRequestTin(long tin)` Used to explicitly register the time tin of an incoming request.
`void` | `storeThreadLocalOutRequestIsEntryCall(boolean isEntry)` This method is used to store whether or not an outgoing SOAP call was the entry point to the current trace.
`void` | `storeThreadLocalOutRequestTin(long tin)` Used to explicitly register the time tin of an outgoing request.
`void` | `unsetThreadLocalInRequestEOI()` This method unsets a previously registered eoi.
`void` | `unsetThreadLocalInRequestESS()` This method unsets a previously registered ess.
`void` | `unsetThreadLocalInRequestIsEntryCall()` This method unsets a previously registered variable isInRequestEntryCall.
`void` | `unsetThreadLocalInRequestTin()` This method unsets a previously registered entry time tin.
`void` | `unsetThreadLocalOutRequestIsEntryCall()` This method unsets a previously registered variable isOutRequestEntryCall.
`void` | `unsetThreadLocalOutRequestTin()` This method unsets a previously registered entry time tin.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final SOAPTraceRegistry getInstance()

  Delivers the one and only instance of this class.

  Returns:
    The singleton instance.

### storeThreadLocalInRequestTin

    public final void storeThreadLocalInRequestTin(long tin)

  Used to explicitly register the time tin of an incoming request. The thread is responsible for invalidating the stored value using the method unsetThreadLocalTin()!

  Parameters:
    `tin` - The tin time of the request.

### recallThreadLocalInRequestTin

    public final long recallThreadLocalInRequestTin()

  This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).

  Returns:
    the time tin. -1 if not registered before.

### unsetThreadLocalInRequestTin

    public final void unsetThreadLocalInRequestTin()

  This method unsets a previously registered entry time tin.

### storeThreadLocalOutRequestTin

    public final void storeThreadLocalOutRequestTin(long tin)

  Used to explicitly register the time tin of an outgoing request. The thread is responsible for invalidating the stored value using the method unsetThreadLocalTin()!

  Parameters:
    `tin` - The tin time of the request.

### recallThreadLocalOutRequestTin

    public final long recallThreadLocalOutRequestTin()

  This method returns the thread-local traceid previously registered using the method registerTraceId(curTraceId).

  Returns:
    the time tin. -1 if not registered before.

### unsetThreadLocalOutRequestTin

    public final void unsetThreadLocalOutRequestTin()

  This method unsets a previously registered entry time tin.

### storeThreadLocalInRequestIsEntryCall

    public final void storeThreadLocalInRequestIsEntryCall(boolean isEntry)

  This method is used to store whether or not an incoming SOAP call was the entry point to the current trace.

  Parameters:
    `isEntry` - Determines whether the call was the entry point to the trace or not.

### recallThreadLocalInRequestIsEntryCall

    public final boolean recallThreadLocalInRequestIsEntryCall()

  Returns the value of the ThreadLocal variable threadLocalInRequestIsEntryCall.

  Returns:
    the variable's value; true if value not set.

### unsetThreadLocalInRequestIsEntryCall

    public final void unsetThreadLocalInRequestIsEntryCall()

  This method unsets a previously registered variable isInRequestEntryCall.

### storeThreadLocalOutRequestIsEntryCall

    public final void storeThreadLocalOutRequestIsEntryCall(boolean isEntry)

  This method is used to store whether or not an outgoing SOAP call was the entry point to the current trace.

  Parameters:
    `isEntry` - Determines whether the call was the entry point to the trace or not.

### recallThreadLocalOutRequestIsEntryCall

    public final boolean recallThreadLocalOutRequestIsEntryCall()

  Returns the value of the ThreadLocal variable threadLocalOutRequestIsEntryCall.

  Returns:
    the variable's value; true if value not set.

### unsetThreadLocalOutRequestIsEntryCall

    public final void unsetThreadLocalOutRequestIsEntryCall()

  This method unsets a previously registered variable isOutRequestEntryCall.

### storeThreadLocalInRequestEOI

    public final void storeThreadLocalInRequestEOI(int eoi)

  Used to explicitly register an eoi for an incoming SOAP request. The thread is responsible for invalidating the stored curTraceId using the method unsetThreadLocalEOI()!

  Parameters:
    `eoi` - The execution order index to store.

### recallThreadLocalInRequestEOI

    public final int recallThreadLocalInRequestEOI()

  This method returns the thread-local eoi previously registered using the method registerTraceId(curTraceId).

  Returns:
    the eoi. -1 if no eoi registered.

### unsetThreadLocalInRequestEOI

    public final void unsetThreadLocalInRequestEOI()

  This method unsets a previously registered eoi.

### storeThreadLocalInRequestESS

    public final void storeThreadLocalInRequestESS(int ess)

  Used to explicitly register an ess for an incoming SOAP request. The thread is responsible for invalidating the stored curTraceId using the method unsetThreadLocalESS()!

  Parameters:
    `ess` - The execution stack size to store.

### recallThreadLocalInRequestESS

    public final int recallThreadLocalInRequestESS()

  This method returns the thread-local ess previously registered using the method registerTraceId(curTraceId).

  Returns:
    the ess. -1 if no ess registered.

### unsetThreadLocalInRequestESS

    public final void unsetThreadLocalInRequestESS()

  This method unsets a previously registered ess.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net